# Interface SlideJson

A slide stores a snapshot of several pre-set properties of the WebScene, such as the basemap, viewpoint and visible layers.

See https://developers.arcgis.com/web-map-specification/objects/slide/ https://developers.arcgis.com/web-scene-specification/objects/slide/.

interface SlideJson {
baseMap?: string | BasemapJson;
description?: {
text: string;
};
environment?: EnvironmentJson;
extent?: ExtentJson;
hidden?: boolean;
id?: string;
mapLocation?: {
centerPoint?: PointJson;
spatialReference?: SpatialReferenceJson;
};
thumbnail?: {
url: string;
};
timeExtent?: number[];
title?: {
backgroundColor?: ColorJson;
borderColor?: ColorJson;
borderSize?: number;
font?: string;
fontSize?: number;
foregroundColor?: ColorJson;
horizontalAlignment?: number;
opacity?: number;
text?: string;
titleFontStyle?: number;
};
viewpoint?: ViewpointJson;
visibleLayers?: {
featureVisibility?: number[][];
id?: string;
subLayerIds?: number[];
}[];
visiblePopup?: {
anchorPoint?: PointJson;
featureId?: number;
layerId?: string;
subLayerIds?: number[];
};
}

#####
Index

### Properties

baseMap?
description?
environment?
extent?
hidden?
id?
mapLocation?
thumbnail?
timeExtent?
title?
viewpoint?
visibleLayers?
visiblePopup?

##
Properties

### `Optional` baseMap

baseMap?: string | BasemapJson

The basemap of the scene. Only the base and reference layers of the basemap are stored in a slide. This value can be an instance of Basemap or one of the strings listed in the table below. Same as baseMap, but with no elevationLayers property.

### `Optional` description

description?: {
text: string;
}

Text description of the individual presentation slide.

#### Type declaration

- ##### text: string

  Text to display as slide description.

### `Optional` environment

environment?: EnvironmentJson

Represents settings that affect the environment in which the WebScene is displayed (such as lighting).

### `Optional` extent

extent?: ExtentJson

The standard Esri extent object with spatialReference, xmax, xmin, ymax and ymin. [WebMap Only].

### `Optional` hidden

hidden?: boolean

Indicates whether the slide should be hidden within the presentation. [WebMap Only].

### `Optional` id

id?: string

The unique id of a slide within the slides property of a Presentation.

### `Optional` mapLocation

mapLocation?: {
centerPoint?: PointJson;
spatialReference?: SpatialReferenceJson;
}

An object with a centerPoint object and sometimes a resolution. [WebMap Only] https://developers.arcgis.com/web-map-specification/objects/mapLocation/.

#### Type declaration

- ##### `Optional` centerPoint?: PointJson

  The center of the map in with a x and y coordinate.

- ##### `Optional` spatialReference?: SpatialReferenceJson

  Well-known ID (WKID) or well-known text (WKT).

### `Optional` thumbnail

thumbnail?: {
url: string;
}

A data URI encoded thumbnail. See https://developers.arcgis.com/web-scene-specification/objects/thumbnail/.

#### Type declaration

- ##### url: string

  The URI pointing to the thumbnail image representing the slide.

### `Optional` timeExtent

timeExtent?: number[]

An array of two numbers. The first one indicates start time and the second one indicates end time. [WebMap Only].

### `Optional` title

title?: {
backgroundColor?: ColorJson;
borderColor?: ColorJson;
borderSize?: number;
font?: string;
fontSize?: number;
foregroundColor?: ColorJson;
horizontalAlignment?: number;
opacity?: number;
text?: string;
titleFontStyle?: number;
}

Text and formatting for the title of the individual presentation slide https://developers.arcgis.com/web-map-specification/objects/title/ https://developers.arcgis.com/web-scene-specification/objects/title/.

#### Type declaration

- ##### `Optional` backgroundColor?: ColorJson

  The color of the title text box, for example [0,0,0,255].

- ##### `Optional` borderColor?: ColorJson

  The color of the border surrounding the title text box, for example [0,0,0,255].

- ##### `Optional` borderSize?: number

  The sizing of the border.

- ##### `Optional` font?: string

  The font style picked for the title.

- ##### `Optional` fontSize?: number

  The size of the font for the text in the title.

- ##### `Optional` foregroundColor?: ColorJson

  Color of the text.

- ##### `Optional` horizontalAlignment?: number

  Alignment of the text box.

- ##### `Optional` opacity?: number

  The opacity of background and border.

- ##### `Optional` text?: string

  Text to display as titles for slide.

- ##### `Optional` titleFontStyle?: number

  A number between 1 and 7.

### `Optional` viewpoint

viewpoint?: ViewpointJson

The viewpoint of the slide. This acts like a bookmark, saving a predefined location or point of view from which to view the scene.

### `Optional` visibleLayers

visibleLayers?: {
featureVisibility?: number[][];
id?: string;
subLayerIds?: number[];
}[]

An array of numbers indicating layer visibility. Stores references (by ID) to the layers that are set as visible when a slide is applied to a MapView or SceneView. See https://developers.arcgis.com/web-map-specification/objects/visibleLayer/ https://developers.arcgis.com/web-scene-specification/objects/visibleLayer/.

#### Type declaration

- ##### `Optional` featureVisibility?: number[][]

  An array of arrays.

- ##### `Optional` id?: string

  The id of the layer as listed on the operational layer.

- ##### `Optional` subLayerIds?: number[]

  An integer specifying the sublayer id.

### `Optional` visiblePopup

visiblePopup?: {
anchorPoint?: PointJson;
featureId?: number;
layerId?: string;
subLayerIds?: number[];
}

A presentation slide's visiblePopup which contains anchorPoint, featureId, layerId, and subLayerId. See https://developers.arcgis.com/web-map-specification/objects/visiblePopup/.

#### Type declaration

- ##### `Optional` anchorPoint?: PointJson

  Object with spatialReference, x, and y.

- ##### `Optional` featureId?: number

  An integer specifying the feature's id.

- ##### `Optional` layerId?: string

  A string specifying the layer id.

- ##### `Optional` subLayerIds?: number[]

  An integer specifying the sublayer id.